function init(hero) {
    hero.setName("Raven/Teen Titans");
    hero.setTier(8);
    
    hero.setChestplate("Suit");
    
    hero.addPowers("tmfp:raven");
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 2.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.1, 1);
    
    hero.addKeyBind("TELEKINESIS", "key.telekinesis", 1);
    hero.addKeyBind("ENERGY_PROJECTION", "Magical Beam", 2);
    hero.addKeyBind("CHARGED_BEAM", "Dark Magic Beam", 2);
    hero.addKeyBind("HOVER", "key.levitate", 3);
    hero.addKeyBind("TELEPORT", "key.teleport", 4);
    hero.addKeyBind("SHIELD", "key.forcefield", 5);

    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setDefaultScale(0.89);
    hero.setHasProperty(hasProperty);
}
function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "ENERGY_PROJECTION":
        return !entity.isSneaking();
    case "CHARGED_BEAM":
        return entity.isSneaking();
    default:
        return true;
    }
}
function hasProperty(entity, property) {
    return property == "MASK_TOGGLE";
}